帮我看看这个LISP有啥问题,为啥总提示输入的列表有缺陷那。
oloverwei
oloverwei Lv.2
2011年03月07日 00:12:27
只看楼主

(defun c:pbox() ;以下数字需要输入 (setq pa (getpoint "输入左下角点:")) (setq ww (getreal "宽度:")) (setq hh (getreal "高度:")) ;以下又程序计算得出 (setq pb (polar pa 0 ww)) (setq pc (polar pb (/ pi 2) hh)) (setq pd (polar pc pi ww))

(defun c:pbox()
;以下数字需要输入
(setq pa (getpoint "输入左下角点:"))
(setq ww (getreal "宽度:"))
(setq hh (getreal "高度:"))
;以下又程序计算得出
(setq pb (polar pa 0 ww))
(setq pc (polar pb (/ pi 2) hh))
(setq pd (polar pc pi ww))
;以下依据PA等画矩形
(command "pline" pa pb pc pd "c")
;以下MP1等有程序依据 pa,ww,hh
(setq mp1 (polar pa 0 (/ ww 2)))
(setq mp2 (polar pb (/ p1 2) (/ hh 2)))
(setq mp3 (polar pd 0 (/ ww 2)))
(setq mp4 (polar pa (/pi 2) (/ hh 2)))
(command "line" mp1 mp3 "")
(command "line" mp2 mp4 "")
)
免费打赏
z_z_g_
2012年01月20日 20:59:53
2楼
(setq pa (getpoint "输入左下角点:"))
(setq ww (getreal "宽度:"))
)采用了半角和全角
回复
aquarius850205
2012年01月24日 10:29:04
3楼
不懂
回复

相关推荐

APP内打开